package com.ruoyi.system.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TdPropertyInfoMapper;
import com.ruoyi.system.domain.TdPropertyInfo;
import com.ruoyi.system.service.ITdPropertyInfoService;
import com.ruoyi.common.core.text.Convert;

/**
 * 资产管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-04-29
 */
@Service
public class TdPropertyInfoServiceImpl extends ServiceImpl<TdPropertyInfoMapper,TdPropertyInfo> implements ITdPropertyInfoService
{
    @Autowired
    private TdPropertyInfoMapper tdPropertyInfoMapper;

    /**
     * 查询资产管理
     * 
     * @param id 资产管理主键
     * @return 资产管理
     */
    @Override
    public TdPropertyInfo selectTdPropertyInfoById(String id)
    {
        return tdPropertyInfoMapper.selectTdPropertyInfoById(id);
    }

    @Override
    public List<TdPropertyInfo> selectTdPropertyInfoByUseId(String id)
    {
        return  tdPropertyInfoMapper.selectTdPropertyInfoByUseId(id);
    }

    /**
     * 查询资产管理列表
     * 
     * @param tdPropertyInfo 资产管理
     * @return 资产管理
     */
    @Override
    public List<TdPropertyInfo> selectTdPropertyInfoList(TdPropertyInfo tdPropertyInfo)
    {
        return tdPropertyInfoMapper.selectTdPropertyInfoList(tdPropertyInfo);
    }

    /**
     * 新增资产管理
     * 
     * @param tdPropertyInfo 资产管理
     * @return 结果
     */
    @Override
    public int insertTdPropertyInfo(TdPropertyInfo tdPropertyInfo)
    {
        return tdPropertyInfoMapper.insertTdPropertyInfo(tdPropertyInfo);
    }

    /**
     * 修改资产管理
     * 
     * @param tdPropertyInfo 资产管理
     * @return 结果
     */
    @Override
    public int updateTdPropertyInfo(TdPropertyInfo tdPropertyInfo)
    {
        return tdPropertyInfoMapper.updateTdPropertyInfo(tdPropertyInfo);
    }

    /**
     * 批量删除资产管理
     * 
     * @param ids 需要删除的资产管理主键
     * @return 结果
     */
    @Override
    public int deleteTdPropertyInfoByIds(String ids)
    {
        return tdPropertyInfoMapper.deleteTdPropertyInfoByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除资产管理信息
     * 
     * @param id 资产管理主键
     * @return 结果
     */
    @Override
    public int deleteTdPropertyInfoById(String id)
    {
        return tdPropertyInfoMapper.deleteTdPropertyInfoById(id);
    }
}
